# $Revision: 1.17 $, $Date: 2002/09/02 15:48:47 $
%include	/usr/lib/rpm/macros.perl
Summary:	Alias perl module
Summary(es):	Modulo Perl Alias
Summary(pl):	Modu perla Alias
Summary(pt_BR):	Modulo Perl Alias
Name:		perl-Alias
Version:	2.32
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Alias/Alias-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alias module provides general mechanisms for aliasing perl data for
convenient access.

%description -l es
Convenient wrappers for "obscure" perl functionality.

%description -l pl
Modu perla Alias.

%description -l pt_BR
Convenient wrappers for "obscure" perl functionality.

%prep
%setup -q -n Alias-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README Todo

%{perl_sitearch}/Alias.pm

%dir %{perl_sitearch}/auto/Alias
%{perl_sitearch}/auto/Alias/Alias.bs
%attr(755,root,root) %{perl_sitearch}/auto/Alias/Alias.so

%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Alias.spec,v $
Revision 1.17  2002/09/02 15:48:47  kloczek
- relase 7: use new %doc and merge translations from Conectiva.

Revision 1.16  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/02/25 00:27:44  kloczek
- release 6.

Revision 1.14  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:24:04  depesz
adapterized

Revision 1.12  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/04/17 12:05:02  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/13 17:45:49  kloczek
- release 4: rebuild against perl 5.6 and added using new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:07  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 13:36:54  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
